Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.metadata.maintenance
Interface MaintenanceInformation

    @UML(identifier="MD_MaintenanceInformation",
         specification=ISO_19115)
    public interface MaintenanceInformation

Information about the scope and frequency of updating.

Since:
  GeoAPI 2.0

Method Summary
`Collection<? extends ResponsibleParty>` | `getContacts()` Identification of, and means of communicating with, person(s) and organization(s) with responsibility for maintaining the metadata.
`Date` | `getDateOfNextUpdate()` Scheduled revision date for resource.
`MaintenanceFrequency` | `getMaintenanceAndUpdateFrequency()` Frequency with which changes and additions are made to the resource after the initial resource is completed.
`InternationalString` | `getMaintenanceNote()` Deprecated. use getMaintenanceNotes()
`Collection<? extends InternationalString>` | `getMaintenanceNotes()` Information regarding specific requirements for maintaining the resource.
`ScopeCode` | `getUpdateScope()` Deprecated. use getUpdateScopes
`ScopeDescription` | `getUpdateScopeDescription()` Deprecated. use getUpdateScopeDescriptions
`Collection<? extends ScopeDescription>` | `getUpdateScopeDescriptions()` Additional information about the range or extent of the resource.
`Collection<ScopeCode>` | `getUpdateScopes()` Scope of data to which maintenance is applied.
`PeriodDuration` | `getUserDefinedMaintenanceFrequency()` Maintenance period other than those defined.

Method Detail

### getMaintenanceAndUpdateFrequency

    @UML(identifier="maintenanceAndUpdateFrequency",
         obligation=MANDATORY,
         specification=ISO_19115)
    MaintenanceFrequency getMaintenanceAndUpdateFrequency()

  Frequency with which changes and additions are made to the resource after the initial resource is completed.

### getDateOfNextUpdate

    @UML(identifier="dateOfNextUpdate",
         obligation=OPTIONAL,
         specification=ISO_19115)
    Date getDateOfNextUpdate()

  Scheduled revision date for resource.

### getUserDefinedMaintenanceFrequency

    @UML(identifier="userDefinedMaintenanceFrequency",
         obligation=OPTIONAL,
         specification=ISO_19115)
    PeriodDuration getUserDefinedMaintenanceFrequency()

  Maintenance period other than those defined.

  Returns:
    The period, in milliseconds.
  Unit:
    PeriodDuration

### getUpdateScope

    ScopeCode getUpdateScope()

  Deprecated. use getUpdateScopes

  Scope of data to which maintenance is applied.

### getUpdateScopeDescription

    ScopeDescription getUpdateScopeDescription()

  Deprecated. use getUpdateScopeDescriptions

  Additional information about the range or extent of the resource.

### getUpdateScopes

    @UML(identifier="updateScope",
         obligation=OPTIONAL,
         specification=ISO_19115)
    Collection<ScopeCode> getUpdateScopes()

  Scope of data to which maintenance is applied.

### getUpdateScopeDescriptions

    @UML(identifier="updateScopeDescription",
         obligation=OPTIONAL,
         specification=ISO_19115)
    Collection<? extends ScopeDescription> getUpdateScopeDescriptions()

  Additional information about the range or extent of the resource.

### getMaintenanceNote

    InternationalString getMaintenanceNote()

  Deprecated. use getMaintenanceNotes()

  Information regarding specific requirements for maintaining the resource.

### getMaintenanceNotes

    @UML(identifier="maintenanceNote",
         obligation=OPTIONAL,
         specification=ISO_19115)
    Collection<? extends InternationalString> getMaintenanceNotes()

  Information regarding specific requirements for maintaining the resource.

  Since:
    GeoAPI 2.1

### getContacts

    @UML(identifier="contact",
         obligation=OPTIONAL,
         specification=ISO_19115)
    Collection<? extends ResponsibleParty> getContacts()

  Identification of, and means of communicating with, person(s) and organization(s) with responsibility for maintaining the metadata.

  Since:
    GeoAPI 2.1

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.